EKNO YUAG - Bug #3697

Website - Validas Overtime
07/01/2025 01:15 PM - Mr lkmal

Status: Assigned Start date: 07/01/2025
Priority: Urgent Due date: 07/03/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mas Azid,

Berikut redmine yg ingin dipisah ya untuk validasi di website

Mohon bantuanya untuk dibuatkan validasi agar ketika End Time yang diinput lebih kecil dari Start Time pada tanggal yang sama,
maka sistem menampilkan peringatan dan tidak dapat di submit.

Sebagai contoh, saya mengajukan lembur dengan Start Time pukul 15:00 dan End Time pukul 13:00 di tanggal yang sama.
Seharusnya pengajuan tersebut tidak dapat diproses, namun saat dicoba, pengajuan tetap bisa di submit dan statusnya Success.

Mohon bantuannya untuk implementasi validasi tambahan terkait approval task oleh atasan, dengan ketentuan sebagai berikut:

1. Saat karyawan create task, tidak wajib ada data attendance. Jadi pengajuan boleh dilakukan untuk tanggal sebelumnya
(backdate) maupun tanggal ke depan (future)

2. Namun saat atasan melakukan approval, wajib ada data Clock Out pada attendance karyawan di tanggal terkait. Karena jam pada
task akan divalidasi dan harus sesuai dengan data absen pulang (boleh kurang dari jam absen pulang, tapi ga boleh lebih)

3. Jika data jam pada task tidak sesuai dengan data absen pulang (boleh kurang dari jam absen pulang, tapi ga boleh lebih), maka:

- Ketika klik Approve, Munculkan pop-up validasi yang menjelaskan data yang tidak sesuai (misalnya: "Jam selesai lembur tidak
sesuai/melebihi dengan jam absen pulang")

- Jadi yang diizinkan hanya Revise atau Reject

- Jika memilih Revise atau Reject, maka kolom comment wajib diisi sebagai alasan kenapa tidak di approve Overtime nya
Terima kasih.

Port DB: 103.153.60.89
History

#1 - 07/02/2025 09:13 AM - Kezia Pawitra Yulianti
- Due date set to 07/03/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent
